## org.biojava.bio.seq.io
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.NestedException
                  org.biojava.bio.BioException
                      org.biojava.bio.seq.io.ParseException

All Implemented Interfaces:
  java.io.Serializable

public class ParseException
extends BioException

ParseException should be thrown to indicate that there was a problem with parsing sequence information.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`ParseException()`
`ParseException(java.lang.String message)`
`ParseException(java.lang.Throwable nested)`
`ParseException(java.lang.Throwable nested, java.lang.String message)`

Methods inherited from class org.biojava.utils.NestedException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException()

### ParseException

    public ParseException(java.lang.String message)

### ParseException

    public ParseException(java.lang.Throwable nested)

### ParseException

    public ParseException(java.lang.Throwable nested,
                          java.lang.String message)